package com.steerinfo.appservice.appmeterworkcaractual.mapper;

import com.steerinfo.appservice.appmeterworkcaractual.model.AppMeterWorkCarActual;
import com.steerinfo.appservice.dto.AppMeterWorkCarActualDemo;
import com.steerinfo.appservice.dto.LoadLinkDemo;
import com.steerinfo.appservice.dto.companyDemo;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkcaractual.model.MeterWorkCarActual;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface AppMeterWorkCarActualMapper extends IBaseMapper<AppMeterWorkCarActual, String> {
    /*     List<AppMeterWorkCarActualFirstDto> selectByCus(Map<String, Object> parameters);

    List<AppMeterWorkCarActualFirstDto> selectByRec(Map<String, Object> parameters);*/

    List<AppMeterWorkCarActual> selectNet (Map<String, Object> map);

    List<AppMeterWorkCarActualDemo> selectSumForApp(Map<String, Object> map);

    List<AppMeterWorkCarActualDemo> selectSumForAppByCar(Map<String, Object> map);

    List<AppMeterWorkCarActual> selectNetByCar (Map<String, Object> map);

    List<LoadLinkDemo> selectLoadLinkDemo(Map<String, Object> map);

    List<companyDemo> selectReAndFo(Map<String, Object> map);

    int updateForLink(Map<String, Object> map);

    String selectForLinkUnLoad(Map<String, Object> map);

    int abolishDataForLink(Map<String, Object> map);

    List<AppMeterWorkCarActualDemo> selectSumHD(Map<String, Object> map);

    List<AppMeterWorkCarActual> selectActualHD(Map<String, Object> map);

    List<LoadLinkDemo> selectLoadLinkActual(Map<String, Object> map);

    /**
     * 待卸货数据及已卸货数据查询：查询已卸货的数据还是未卸货的数据，由调用的方法决定
     * @param parmas
     * @return
     */
    List<MeterWorkCarActual> selectToBeDidUnLoad(HashMap parmas);

    /**
     * 待装货数据查询与已装货数据查询
     * @param parmas
     * @return
     */
    List<MeterWorkCarActual> selectToBeDidLoad(HashMap parmas);
}